View Issue Details

IDProjectCategoryView StatusLast Update
0037436FPCDocumentationpublic2020-07-30 15:06
ReporterBi0T1N Assigned ToMichael Van Canneyt  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.2.0 
Fixed in Version3.3.1 
Summary0037436: Mention that instances of THandleObject should not be created
DescriptionFrom Delphi documentation:
'Do not create instances of THandleObject. THandleObject is a base class that introduces properties for managing the handle of a synchronization object but does not provide a mechanism for acquiring that handle. Descendants of THandleObject must acquire the appropriate type of handle.'

Something similar to this should also be added to FPC documentation.
Additional Informationhttp://docwiki.embarcadero.com/Libraries/Rio/en/System.SyncObjs.THandleObject
https://www.freepascal.org/docs-html/current/fcl/syncobjs/thandleobject.html
TagsNo tags attached.
Fixed in Revision45875
FPCOldBugId
FPCTarget-
Attached Files

Activities

Michael Van Canneyt

2020-07-29 14:30

administrator   ~0124395

Marked as abstract, added to docs

Bi0T1N

2020-07-30 15:06

reporter   ~0124421

Even better, thanks!

Issue History

Date Modified Username Field Change
2020-07-28 21:10 Bi0T1N New Issue
2020-07-28 21:10 Bi0T1N Status new => assigned
2020-07-28 21:10 Bi0T1N Assigned To => Michael Van Canneyt
2020-07-29 14:24 Michael Van Canneyt Status assigned => resolved
2020-07-29 14:24 Michael Van Canneyt Resolution open => no change required
2020-07-29 14:24 Michael Van Canneyt FPCTarget => -
2020-07-29 14:30 Michael Van Canneyt Resolution no change required => fixed
2020-07-29 14:30 Michael Van Canneyt Fixed in Version => 3.3.1
2020-07-29 14:30 Michael Van Canneyt Fixed in Revision => 45875
2020-07-29 14:30 Michael Van Canneyt Note Added: 0124395
2020-07-30 15:06 Bi0T1N Status resolved => closed
2020-07-30 15:06 Bi0T1N Note Added: 0124421